Unix
Mac OS X
iOS
Windows
Processing
Options
Usage
MagickWand
MagickCore
PerlMagick
Magick++
Unix
Windows
Links

# Module decorate Methods

## BorderImage

BorderImage() surrounds the image with a border of the color defined by the bordercolor member of the image structure. The width and height of the border are defined by the corresponding members of the border_info structure.

The format of the BorderImage method is:

      Image *BorderImage(const Image *image,const RectangleInfo *border_info,
        ExceptionInfo *exception)

A description of each parameter follows:

##### image

the image.

##### border_info

Define the width and height of the border.

##### exception

return any errors or warnings in this structure.

## FrameImage

FrameImage() adds a simulated three-dimensional border around the image. The color of the border is defined by the matte_color member of image. Members width and height of frame_info specify the border width of the vertical and horizontal sides of the frame. Members inner and outer indicate the width of the inner and outer shadows of the frame.

The format of the FrameImage method is:

      Image *FrameImage(const Image *image,const FrameInfo *frame_info,
        ExceptionInfo *exception)

A description of each parameter follows:

##### image

the image.

##### frame_info

Define the width and height of the frame and its bevels.

##### exception

return any errors or warnings in this structure.

## RaiseImage

RaiseImage() creates a simulated three-dimensional button-like effect by lightening and darkening the edges of the image. Members width and height of raise_info define the width of the vertical and horizontal edge of the effect.

The format of the RaiseImage method is:

      MagickBooleanType RaiseImage(const Image *image,
        const RectangleInfo *raise_info,const MagickBooleanType raise)

A description of each parameter follows:

##### image

the image.

##### raise_info

Define the width and height of the raise area.

##### raise

A value other than zero creates a 3-D raise effect, otherwise it has a lowered effect.

Discourse Server • Studio